import { FileManagerContextObject, FileManagerStorageOperations } from "../types";
import { GetPermissions, SecurityIdentity } from "@webiny/api-security/types";
import { FileStorage } from "../storage/FileStorage";
import { FilesPermissions } from "./permissions/FilesPermissions";
export interface FileManagerConfig {
    storageOperations: FileManagerStorageOperations;
    filesPermissions: FilesPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
    getIdentity: () => SecurityIdentity;
    getPermissions: GetPermissions;
    storage: FileStorage;
    WEBINY_VERSION: string;
}
export declare const createFileManager: (config: FileManagerConfig) => FileManagerContextObject;
